gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-donau] branch master updated: rename


From: gnunet
Subject: [taler-donau] branch master updated: rename
Date: Fri, 05 Jan 2024 13:09:48 +0100

This is an automated email from the git hooks/post-receive script.

johannes-casaburi pushed a commit to branch master
in repository donau.

The following commit(s) were added to refs/heads/master by this push:
     new 80593b3  rename
     new cd8fcf8  Merge remote-tracking branch 'refs/remotes/origin/master'
80593b3 is described below

commit 80593b30389c7376bebc6e205f44ab0a4f4b8372
Author: Casaburi Johannes <johannes.casaburi@students.bfh.ch>
AuthorDate: Fri Jan 5 13:09:00 2024 +0100

    rename
---
 contrib/{taler-donau-dbconfig => donau-dbconfig} | 14 +++++++-------
 src/donau-tools/donau-dbinit.c                   | 12 ++++++------
 src/donau/donau-httpd.c                          |  6 +++---
 src/donau/donau-httpd_db.c                       | 24 ++++++++++++------------
 src/donau/donau-httpd_db.h                       |  2 +-
 src/donau/donau-httpd_keys.c                     |  8 ++++----
 src/include/donau_service.h                      |  4 ++--
 7 files changed, 35 insertions(+), 35 deletions(-)

diff --git a/contrib/taler-donau-dbconfig b/contrib/donau-dbconfig
similarity index 89%
rename from contrib/taler-donau-dbconfig
rename to contrib/donau-dbconfig
index 47ee1ec..623a921 100755
--- a/contrib/taler-donau-dbconfig
+++ b/contrib/donau-dbconfig
@@ -21,8 +21,8 @@ set -eu
 
 RESET_DB=0
 SKIP_DBINIT=0
-DBUSER="taler-donau-httpd"
-DBGROUP="taler-donau-db"
+DBUSER="donau-httpd"
+DBGROUP="donau-db"
 DBNAME="donau"
 CFGFILE="/etc/taler/secrets/donau-db.secret.conf"
 
@@ -32,12 +32,12 @@ while getopts ':g:hn:rsu:' OPTION; do
         h)
             echo 'Supported options:'
             echo "  -c FILENAME  -- write configuration to FILENAME (default: 
$CFGFILE)"
-            echo "  -g GROUP     -- taler-donau to be run by GROUP (default: 
$DBGROUP)"
+            echo "  -g GROUP     -- donau to be run by GROUP (default: 
$DBGROUP)"
             echo "  -h           -- print this help text"
             echo "  -n NAME      -- user NAME for database name (default: 
$DBNAME)"
             echo "  -r           -- reset database (dangerous)"
             echo "  -s           -- skip database initialization"
-            echo "  -u USER      -- taler-donau to be run by USER (default: 
$DBUSER)"
+            echo "  -u USER      -- donau to be run by USER (default: $DBUSER)"
             exit 0
             ;;
         n)
@@ -72,9 +72,9 @@ fi
 
 if [ 0 = "$SKIP_DBINIT" ]
 then
-    if ! taler-donau-dbinit -v 2> /dev/null
+    if ! donau-dbinit -v 2> /dev/null
     then
-        echo "Required 'taler-donau-dbinit' not found. Please fix your 
installation."
+        echo "Required 'donau-dbinit' not found. Please fix your installation."
     fi
 fi
 
@@ -129,7 +129,7 @@ fi
 if [ 0 = "$SKIP_DBINIT" ]
 then
     echo "Initializing database '$DBNAME'." 1>&2
-    sudo -u "$DBUSER" taler-donau-dbinit
+    sudo -u "$DBUSER" donau-dbinit
 fi
 
 echo "Database configuration finished." 1>&2
diff --git a/src/donau-tools/donau-dbinit.c b/src/donau-tools/donau-dbinit.c
index 6eb43ba..a74278c 100644
--- a/src/donau-tools/donau-dbinit.c
+++ b/src/donau-tools/donau-dbinit.c
@@ -116,23 +116,23 @@ run (void *cls,
       global_ret = EXIT_NOPERMISSION;
       return;
     }
-    //if (clear_shards)
-    //{
+    // if (clear_shards)
+    // {
     //  if (GNUNET_OK !=
     //      plugin->delete_shard_locks (plugin->cls))
     //  {
     //    fprintf (stderr,
     //             "Clearing revolving shards failed!\n");
     //  }
-    //}
-    //if (gc_db)
-    //{
+    // }
+    // if (gc_db)
+    // {
     //  if (GNUNET_SYSERR == plugin->gc (plugin->cls))
     //  {
     //    fprintf (stderr,
     //             "Garbage collection failed!\n");
     //  }
-    //}
+    // }
   }
   DONAUDB_plugin_unload (plugin);
   plugin = NULL;
diff --git a/src/donau/donau-httpd.c b/src/donau/donau-httpd.c
index 57c4e53..9bae4f4 100644
--- a/src/donau/donau-httpd.c
+++ b/src/donau/donau-httpd.c
@@ -809,11 +809,11 @@ do_shutdown (void *cls)
     MHD_stop_daemon (mhd);
     mhd = NULL;
   }
-  //if (NULL != DH_plugin)
-  //{
+  // if (NULL != DH_plugin)
+  // {
   //  DONAUDB_plugin_unload (DH_plugin);
   //  DH_plugin = NULL;
-  //}
+  // }
   if (NULL != DH_curl_ctx)
   {
     GNUNET_CURL_fini (DH_curl_ctx);
diff --git a/src/donau/donau-httpd_db.c b/src/donau/donau-httpd_db.c
index 7620c92..c0cad70 100644
--- a/src/donau/donau-httpd_db.c
+++ b/src/donau/donau-httpd_db.c
@@ -39,9 +39,9 @@ DH_DB_run_transaction (struct MHD_Connection *connection,
 {
   if (NULL != mhd_ret)
     *mhd_ret = -1; /* set to invalid value, to help detect bugs */
-  //if (GNUNET_OK !=
+  // if (GNUNET_OK !=
   //    DH_plugin->preflight (DH_plugin->cls))
-  //{
+  // {
   //  GNUNET_break (0);
   //  if (NULL != mhd_ret)
   //    *mhd_ret = TALER_MHD_reply_with_error (connection,
@@ -49,7 +49,7 @@ DH_DB_run_transaction (struct MHD_Connection *connection,
   //                                           
TALER_EC_GENERIC_DB_SETUP_FAILED,
   //                                           NULL);
   //  return GNUNET_SYSERR;
-  //}
+  // }
   GNUNET_assert (mt < DH_MT_REQUEST_COUNT);
   DH_METRICS_num_requests[mt]++;
   for (unsigned int retries = 0;
@@ -58,10 +58,10 @@ DH_DB_run_transaction (struct MHD_Connection *connection,
   {
     enum GNUNET_DB_QueryStatus qs;
 
-    //if (GNUNET_OK !=
+    // if (GNUNET_OK !=
     //    DH_plugin->start (DH_plugin->cls,
     //                      name))
-    //{
+    // {
     //  GNUNET_break (0);
     //  if (NULL != mhd_ret)
     //    *mhd_ret = TALER_MHD_reply_with_error (connection,
@@ -69,18 +69,18 @@ DH_DB_run_transaction (struct MHD_Connection *connection,
     //                                           
TALER_EC_GENERIC_DB_START_FAILED,
     //                                           NULL);
     //  return GNUNET_SYSERR;
-    //}
+    // }
     qs = cb (cb_cls,
              connection,
              mhd_ret);
-    //if (0 > qs)
-    //{
+    // if (0 > qs)
+    // {
     //  DH_plugin->rollback (DH_plugin->cls);
     //  if (GNUNET_DB_STATUS_HARD_ERROR == qs)
     //    return GNUNET_SYSERR;
-    //}
-    //else
-    //{
+    // }
+    // else
+    // {
     //  qs = DH_plugin->commit (DH_plugin->cls);
     //  if (GNUNET_DB_STATUS_HARD_ERROR == qs)
     //  {
@@ -94,7 +94,7 @@ DH_DB_run_transaction (struct MHD_Connection *connection,
     //  }
     //  if (0 > qs)
     //    DH_plugin->rollback (DH_plugin->cls);
-    //}
+    // }
     if (0 <= qs)
       return GNUNET_OK;
     DH_METRICS_num_conflict[mt]++;
diff --git a/src/donau/donau-httpd_db.h b/src/donau/donau-httpd_db.h
index 41051e4..9a909ed 100644
--- a/src/donau/donau-httpd_db.h
+++ b/src/donau/donau-httpd_db.h
@@ -22,7 +22,7 @@
 #define DONAU_HTTPD_DB_H
 
 #include <microhttpd.h>
-//#include "donaudb_plugin.h"
+// #include "donaudb_plugin.h"
 #include "donau-httpd_metrics.h"
 #include <gnunet/gnunet_mhd_compat.h>
 
diff --git a/src/donau/donau-httpd_keys.c b/src/donau/donau-httpd_keys.c
index 1d49ada..e71d646 100644
--- a/src/donau/donau-httpd_keys.c
+++ b/src/donau/donau-httpd_keys.c
@@ -710,16 +710,16 @@ build_key_state (struct HelperState *hs,
                                                            false /* MUST be 
false! */
                                                            );
   /* NOTE: fetches master-signed signkeys, but ALSO those that were revoked! */
-  //GNUNET_break (GNUNET_OK ==
+  // GNUNET_break (GNUNET_OK ==
   //              DH_plugin->preflight (DH_plugin->cls));
-  //if (qs < 0)
-  //{
+  // if (qs < 0)
+  // {
   //  GNUNET_break (GNUNET_DB_STATUS_SOFT_ERROR != qs);
   //  GNUNET_break (GNUNET_DB_STATUS_HARD_ERROR != qs);
   //  destroy_key_state (ksh,
   //                     true);
   //  return NULL;
-  //}
+  // }
   // qs = DH_plugin->iterate_denominations (DH_plugin->cls,
   //                                       &denomination_info_cb,
   //                                       ksh);
diff --git a/src/include/donau_service.h b/src/include/donau_service.h
index a6c1f6f..a501aa6 100644
--- a/src/include/donau_service.h
+++ b/src/include/donau_service.h
@@ -790,12 +790,12 @@ struct CharitySummary
   /**
    * Max donation amout for this charitiy and year.
    */
-   struct TALER_Amount max_per_year;
+  struct TALER_Amount max_per_year;
 
   /**
    * Current donation amount for this charity and year.
    */
-   struct TALER_Amount receipts_to_date;
+  struct TALER_Amount receipts_to_date;
 
 };
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]